<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Challenge</title>
  </head>
  <body>
    <header>
      <h2>📘 The Code Magazine</h2>
      <a href="#">Blog</a> <a href="#">Challenges</a> <a href="#">Css</a>
      <a href="#">Grid</a>
      <h2>The Basic Language of the Web: HTML</h2>
      <img
        src="laura-jones.jpg"
        alt="Laura"
        title="laura_Image"
        width="50"
        height="50"
      />
      <h4>Posted by Laura Jones on Monday, June 21st 2027</h4>
    </header>
    <article>
      <img src="post-img.jpg" alt="Code_image" width="500" height="=200" />
      <p>
        All modern websites and web applications are built using three
        <em>fundamental</em> technologies: HTML, CSS and JavaScript. These are
        the languages of the web.<br />
      </p>
      <p>
        In this post, let's focus on HTML. We will learn what HTML is all about,
        and why you too should learn it.
      </p>
      <h2>What is HTML?</h2>
      <p>
        HTML stands for <strong>H</strong>yper<strong>T</strong>ext
        <strong>M</strong>arkup <strong>L</strong>anguage. It's a markup
        language that web developers use to structure and describe the content
        of a webpage (not a programming language).
      </p>
      <p>
        HTML consists of elements that describe different types of content:
        paragraphs, links, headings, images, video, etc. Web browsers understand
        HTML and render HTML code as websites.
      </p>
      <p>In HTML, each element is made up of 3 parts:</p>
      <ol>
        <li>The opening tag</li>
        <li>The closing tag</li>
        <li>The actual element</li>
      </ol>
      <p>
        You can learn more at the
        <a href=" https://developer.mozilla.org/en-US/" target="_blank"
          >MDN Web Docs.</a
        >
      </p>
      <h3>Why should you learn HTML?</h3>
      <p>
        There are countless reasons for learning the fundamental language of the
        web. Here are 5 of them:
      </p>
      <ul>
        <li>To be able to use the fundamental web dev language</li>
        <li>
          To hand-craft beautiful websites instead of relying on tools like
          Worpress or Wix To build web applications
        </li>
        <li>To impress friends</li>
        <li>To have fun 😃</li>
      </ul>
      <p>Hopefully you learned something new here. See you next time!</p>
      <h4>Related Post's</h4>
      <ul>
        <li>
          <img
            src="related-1.jpg"
            alt="system operator"
            title="person"
            width="50"
            height="50"
          />
          <a href=" https://developer.mozilla.org/en-US/" target="_blank"
            >MDN Web Docs.</a
          >
        </li>
        <p>By Hari</p>
        <li>
          <img
            src="related-2.jpg"
            alt=" thunder"
            title="thunder_image"
            width="50"
            height="50"
          />
          <a href="https://web.dev/the-amazing-powers-of-css/" target="_blank"
            >The Unknown process of CSS</a
          >
        </li>
        <p>By Balaji</p>
        <li>
          <img
            src="related-3.jpg"
            target="_blank"
            alt=" coding"
            title="Coding_image"
            width="50"
            height="50"
          />
          <a href="https://github.com/sorrycc/awesome-javascript"
            >Java Script is Awesome</a
          >
        </li>
        <p><a href="#">By periyasamy</a></p>
      </ul>
      <footer>Copyright &copy; 1957 by the Lura Bee</footer>
    </article>
  </body>
</html>
